Skip to main content
POST
Create Deposit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Body

application/json

Create a deposit to add funds to a business account

amount
object
required
idempotencyKey
string
required

Unique string to prevent dedupe

Example:

"b6ae5da9-6342-4a58-bd50-8564d68d3f7e"

externalAccountId
string
required

unique identifier of the external account to pull funds from, required for an ach direct-debit

Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

paymentMethod
enum<string>
required

Payment method for the deposit

Available options:
ach
Example:

"ach"

suppressNotification
boolean
default:false
required

Whether to suppress email notifications (optional, defaults to false)

description
string

Optional free-text label attached to the deposit. Surfaced on the resulting ledger entry and any notification emails.

Example:

"April payroll funding"

Response

create business deposit response

id
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"